NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.CAE.MeshPointMultipleOnCurveBuilder Class Reference

Represents a NXOpen.CAE.MeshPointMultipleOnCurveBuilder More...

Inheritance diagram for NXOpen.CAE.MeshPointMultipleOnCurveBuilder:
NXOpen.CAE.MeshPointBaseBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  PlacementType { ByNumber, ByDistance }
 the placement type types More...
 

Properties

unsafe bool CreateOption [get, set]
 Returns or sets the create option More...
 
unsafe NXOpen.Expression Distance [get]
 Returns the distance More...
 
unsafe NXOpen.SelectIBaseCurveList Edge [get]
 Returns the node More...
 
unsafe int NumMeshpoints [get, set]
 Returns or sets the number of meshpoints More...
 
unsafe
NXOpen.CAE.MeshPointMultipleOnCurveBuilder.PlacementType 
PlacementOption [get, set]
 Returns or sets the placement option More...
 
- Properties inherited from NXOpen.CAE.MeshPointBaseBuilder
unsafe NXOpen.CAE.MeshPoint MeshPointToEdit [get, set]
 Returns or sets the base mesh point that will be replaced or edited after the commit operation (Edit Operation). More...
 
unsafe int NodeLabel [get, set]
 Returns or sets the node label assigned to mesh point so that node created on the mesh point will have that label. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.CAE.MeshPointMultipleOnCurveBuilder

To create a new instance of this class, use NXOpen.CAE.MeshPointCollection.CreateMeshpointMultipleOnCurveBuilder

Created in NX5.0.2

Member Enumeration Documentation

the placement type types

Enumerator
ByNumber 

by number

ByDistance 

by distance

Property Documentation

unsafe bool NXOpen.CAE.MeshPointMultipleOnCurveBuilder.CreateOption
getset

Returns or sets the create option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.Expression NXOpen.CAE.MeshPointMultipleOnCurveBuilder.Distance
get

Returns the distance

Created in NX5.0.2

License requirements: None.

unsafe NXOpen.SelectIBaseCurveList NXOpen.CAE.MeshPointMultipleOnCurveBuilder.Edge
get

Returns the node

Created in NX5.0.2

License requirements: None.

unsafe int NXOpen.CAE.MeshPointMultipleOnCurveBuilder.NumMeshpoints
getset

Returns or sets the number of meshpoints

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")

unsafe NXOpen.CAE.MeshPointMultipleOnCurveBuilder.PlacementType NXOpen.CAE.MeshPointMultipleOnCurveBuilder.PlacementOption
getset

Returns or sets the placement option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: nx_masterfem ("Finite Element Modeling")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.